# Interface IFacetRequestValue

A `currentValues` item in a Search API facet request.

## Index

### Properties

- children
- end
- endInclusive
- label
- preventAutoSelect
- retrieveChildren
- retrieveCount
- start
- state
- value

## Properties

### Optional children

children: IFacetRequestValue[]

- Defined in rest/Facet/FacetRequest.ts :66

The children of this category facet value. Each child is a full-fledged category facet value that may in turn have its own children and so forth, up to a maximum depth of 50 levels

### Optional end

end: RangeType

Inherited from IRangeValue.end

- Defined in rest/RangeValue.ts :28

The value to end the range at.

Examples:

> - `500`
> - `2018-12-31T23:59:59.999Z`

### Optional endInclusive

endInclusive: boolean

Inherited from IRangeValue.endInclusive

- Defined in rest/RangeValue.ts :42

Whether to include the `end` value in the range.

### Optional label

label: string

Inherited from IRangeValue.label

- Defined in rest/RangeValue.ts :37

The label to associate with the range value.

Examples:

> - `0 - 500`
> - `In 2018`

### Optional preventAutoSelect

preventAutoSelect: boolean

- Defined in rest/Facet/FacetRequest.ts :48

Whether to prevent Coveo ML from automatically selecting the facet value.

Default: `false`

### Optional retrieveChildren

retrieveChildren: boolean

- Defined in rest/Facet/FacetRequest.ts :54

Whether to retrieve the children of this category facet value. Can only be used on leaf values in the request (i.e., values with no current children).

Default: `false`

### Optional retrieveCount

retrieveCount: number

- Defined in rest/Facet/FacetRequest.ts :60

If retrieveChildren is true, the maximum number of children to retrieve for this leaf value.

Default (Search API): `0`

### Optional start

start: RangeType

Inherited from IRangeValue.start

- Defined in rest/RangeValue.ts :19

The value to start the range at.

Examples:

> - `0`
> - `2018-01-01T00:00:00.000Z`

### state

state: FacetValueState

- Defined in rest/Facet/FacetRequest.ts :38

The current facet value state in the search interface.

Default (Search API): `idle`

### Optional value

value: string

- Defined in rest/Facet/FacetRequest.ts :42

Required (Search API). The facet value name.

### Hierarchy

- IRangeValue